/****************************************************************
Copyright (c) 1998 Sandro Sigala <ssigala@globalnet.it>.
All rights reserved.

Permission to use, copy, modify, and distribute this software
and its documentation for any purpose and without fee is hereby
granted, provided that the above copyright notice appear in all
copies and that both that the copyright notice and this
permission notice and warranty disclaimer appear in supporting
documentation, and that the name of the author not be used in
advertising or publicity pertaining to distribution of the
software without specific, written prior permission.

The author disclaim all warranties with regard to this
software, including all implied warranties of merchantability
and fitness.  In no event shall the author be liable for any
special, indirect or consequential damages or any damages
whatsoever resulting from loss of use, data or profits, whether
in an action of contract, negligence or other tortious action,
arising out of or in connection with the use or performance of
this software.
****************************************************************/

#ifndef KREPTONED_H
#define KREPTONED_H

#include <qlist.h>
#include <qstring.h>

enum Sprite {
	// Original Repton sprites.  DO NOT CHANGE THE ORDER!
#define SPRITEOBJ(e, n) e,
#define MAPOBJ(e, n) e,
#include "sprites.h"
#undef SPRITEOBJ
#undef MAPOBJ
	NUM_SPRITES
};

const int num_sprites = NUM_SPRITES;
const int sprite_width = 32;
const int sprite_height = 32;

struct Episode {
	bool global;
	QString name;
	QString filename;

	Episode(const QString& xname, const QString& xfilename)
		: name(xname), filename(xfilename) {}
};

void loadEpisodeList(QList<Episode>& l, bool global);
int countUserEpisodes();
void removeMapFiles(const QString& path);
void copyFile(const QString& srcfile, const QString& destfile);
void createPath(const QString& destpath);
void removeEpisode(const QString& path);

#endif // !KREPTONED_H
